package workers

// JobResult represents the result of a Lua script execution
type JobResult struct {
	Value interface{} // Return value from Lua
	Error error       // Error if any
}

// job represents a Lua script execution request
type job struct {
	Bytecode []byte                 // Compiled LuaJIT bytecode
	Params   map[string]interface{} // Parameters to pass to the script
	Result   chan<- JobResult       // Channel to send result back
}
